Update a tag group
curl --request PUT \
--url https://external.pleo.io/v0/tag-groups/{groupId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"archived": true,
"code": "<string>",
"metadata": {},
"name": "<string>"
}
'import requests
url = "https://external.pleo.io/v0/tag-groups/{groupId}"
payload = {
"archived": True,
"code": "<string>",
"metadata": {},
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({archived: true, code: '<string>', metadata: {}, name: '<string>'})
};
fetch('https://external.pleo.io/v0/tag-groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"archived": false,
"code": "5524f270-6c21-11ee-b962-0242ac120002",
"companyId": "c04c7e9e-6c15-11ee-b962-0242ac120003",
"createdAt": "2023-08-23T03:11:48Z",
"id": "c04c7e9e-6c15-11ee-b962-0242ac120002",
"metadata": {
"externalExtraId": "f302f9ec-6c17-11ee-b962-0242ac120002"
},
"name": "Projects",
"updatedAt": "2023-08-23T03:11:48Z",
"totalTagsCount": 4
}
}Tag Groups
Updates the tag group resource by id
PUT
/
v0
/
tag-groups
/
{groupId}
Update a tag group
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Path Parameters
Unique identifier of the tag group to update.
Body
application/json;charset=UTF-8
Boolean flag used to determine whether the tag group is archived.
Code used in the external ERP/accounting system to identify the tag group.
Place to store additional information about the tag group.
Show child attributes
Show child attributes
User readable name of the tag group.
Response
default - application/json;charset=UTF-8
default response
Show child attributes
Show child attributes
Was this page helpful?
⌘I